## org.apache.geronimo.osgi.locator
Class Activator

    java.lang.Object
      org.apache.geronimo.osgi.locator.Activator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class Activator

extends java.lang.Object
implements org.osgi.framework.BundleActivator

Field Summary
`protected org.osgi.framework.BundleContext` `bundleContext`

Constructor Summary
`Activator()`

Method Summary
`void` `bundleChanged(org.osgi.framework.BundleEvent event)`
`void` `start(org.osgi.framework.BundleContext bundleContext)`
`void` `stop(org.osgi.framework.BundleContext bundleContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bundleContext

    protected org.osgi.framework.BundleContext bundleContext

Constructor Detail

### Activator

    public Activator()

Method Detail

### start

    public void start(org.osgi.framework.BundleContext bundleContext)
               throws java.lang.Exception

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Throws:
    `java.lang.Exception`

### stop

    public void stop(org.osgi.framework.BundleContext bundleContext)
              throws java.lang.Exception

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Throws:
    `java.lang.Exception`

### bundleChanged

    public void bundleChanged(org.osgi.framework.BundleEvent event)